.cls-ground {
  background-image: radial-gradient(circle, rgb(0, 58, 173), rgb(0, 0, 0))
}

.cls-ground-header {
  background-image: radial-gradient(circle, rgb(90, 88, 88), rgb(0, 0, 0))
}

.cls-img-header {
  width: 100%;
  max-width: 300px;
  height: auto;
}

.cls-title-header {
  margin-top: 10px;
  font-family: Roboto, sans-serif;
  font-size: 2rem;
  color: rgb(255, 255, 255);
}

.cls-p1-header {
  font-family: Roboto, sans-serif;
  font-size: 1rem;
  color: rgb(255, 255, 255);  
}

.cls-p2-header {
  font-family: Roboto, sans-serif;
  font-size: 1rem;
  font-style: italic;
  color: rgb(255, 255, 255);
}

.cls-link-header {
  font-family: Roboto, sans-serif;
  font-size: 1rem;
  color: rgb(255, 255, 255);  
}

.cls-ground-navbar {
  background-image: radial-gradient(circle, rgb(90, 88, 88), rgb(0, 0, 0));
  font-family: Roboto, sans-serif;
}

.cls-img-navbar {
  width: 100%;
  max-width: 90px;
  height: auto;
}

.cls-span-navbar {
  margin-right: 30px;
  font-size: 1.3rem;
  color: rgb(255, 255, 255);
}

.cls-item-navbar {
  font-size: 1.2rem;
  color: rgb(255, 255, 255);
}

.cls-row-content-desktop {
  display: flex;
}

.cls-row-content-mobile {
  display: none;
}

.cls-card-promo {
  margin-top: 45px;
  padding: 5px;
  border-style: inset;
  border-width: 3px;
  border-color: rgb(90, 88, 88);
  background-image: radial-gradient(circle, rgb(90, 88, 88), rgb(0, 0, 0));  
  animation: flash 3s infinite;
  cursor: pointer;
}

.cls-img-promo {
  width: 100%;
  height: auto
}

.cls-text-promo {
  margin-top: 27%;
  font-family: Roboto, sans-serif;  
  font-size: 0.8rem;
  color: rgb(255, 255, 255)
}

.cls-row1-utility {
  margin-top: 30px;
}

.cls-row2-utility {
  margin-top: 60px;
  margin-bottom: 30px;
}

.cls-card-utility {
  margin-left: 30px;
  margin-right: 30px;
  border-radius: 20px;
  background-image: radial-gradient(circle, rgb(255, 255, 255), rgb(145, 145, 145));
  box-shadow: rgb(1, 12, 35) 10px 10px 6px 2px;
  cursor: pointer;
}

.cls-img-utility {
  width: 100%;
  height: auto;
  border-radius: 20px 20px 0px 0px
}

.cls-title-utility {
  margin-top: 10px;
  font-family: Roboto, sans-serif;  
  color: rgb(0, 26, 77)
}

.cls-list-utility {
  list-style-type: circle;
  font-family: Roboto, sans-serif;
  color: rgb(0, 26, 77)
}

.cls-ground-footer {
  background-image: radial-gradient(circle, rgb(255, 255, 255), rgb(145, 145, 145));
  margin-top: 30px;
}

.cls-title-footer {
  font-family: Roboto, sans-serif;
  color: rgb(0, 26, 77);
}

.cls-text-footer {
  font-family: Roboto, sans-serif;
  color: rgb(0, 26, 77);
}

.cls-ground-internal-footer {
  padding: 15px;
  color: rgb(255, 255, 255);
  background-image: radial-gradient(circle, rgb(90, 88, 88), rgb(0, 0, 0));
}

.cls-popup-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#leftAdFixed, #rightAdFixed {
  position: fixed;
  width: 250px;
  top: 70px;
  height: 820px;
  display: flex;
  justify-content: center;
  z-index: 9999;  
}
#leftAdFixed {
  left: 20px;
}
#rightAdFixed {
  right: 20px;
}
.cls-ad-content {
  animation: flash 3s infinite;
}
@keyframes flash {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {
  .cls-title-header { margin-top: 5px; font-size: 1.8rem; }
  .cls-p1-header { font-size: 1rem; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 1rem; }
  .cls-text-promo { font-size: 0.75rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .cls-title-header { margin-top: 5px; font-size: 1.3rem; }
  .cls-p1-header { font-size: 0.9rem; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-img-navbar { max-width: 80px; }
  .cls-item-navbar { font-size: 1.1rem; }
  .cls-text-promo { font-size: 0.65rem; margin-top: 17%;}
  .cls-title-utility { font-size: 1.1rem;}
  .cls-list-utility { font-size: 0.8rem;}
  .cls-title-footer {font-size: 1.1rem;}
  .cls-text-footer { font-size: 0.8rem;}
  .cls-ground-internal-footer { font-size: 0.8rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .cls-title-header { margin-top: 3px; font-size: 1.3rem; }
  .cls-p1-header { font-size: 0.9rem; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-img-navbar { max-width: 80px; }
  .cls-item-navbar { font-size: 1.1rem; }
  .cls-text-promo { font-size: 0.6rem; margin-top: 17%;}
  .cls-title-utility { font-size: 1rem;}
  .cls-list-utility { font-size: 0.75rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .cls-title-header { margin-top: 30px; font-size: 2rem; }
  .cls-p1-header { display: none; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 1rem; }
  .cls-img-navbar { max-width: 70px; }
  .cls-item-navbar { font-size: 0.9rem; }
  .cls-row-content-desktop { display: none; }
  .cls-row-content-mobile { display: flex;}
  .cls-row1-utility { padding-left: 80px; padding-right: 80px; margin-top: 5px;}
  .cls-row2-utility { margin-top: 0; padding-left: 80px; padding-right: 80px;}
  .cls-card-utility { margin-top: 50px;}
  .cls-title-utility { margin-top: 0; font-size: 2rem;}
  .cls-list-utility { margin-top: 25px; font-size: 1.5rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .cls-img-header { margin-top: 15px;}
  .cls-title-header { margin-top: 5px; font-size: 1.3rem; }
  .cls-p1-header { font-size: 0.9rem; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-span-navbar { display: none;}
  .cls-row-content-desktop { display: none; }
  .cls-row-content-mobile { display: flex;}
  .cls-title-utility { margin-top: 0; font-size: 1.6rem;}
  .cls-list-utility { margin-top: 15px; font-size: 1.1rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .cls-title-header { font-size: 1.6rem; }
  .cls-p1-header { display: none; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-row-content-desktop { display: none; }
  .cls-row-content-mobile { display: flex;}
  .cls-row1-utility { padding-left: 30px; padding-right: 30px; margin-top: 5px;}
  .cls-row2-utility { margin-top: 0; padding-left: 30px; padding-right: 30px;}
  .cls-card-utility { margin-top: 30px;}
  .cls-title-utility { margin-top: 0; font-size: 1.5rem;}
  .cls-list-utility { margin-top: 15px; font-size: 1rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}
@media (max-width: 767px) and (orientation: landscape) {
  .cls-title-header { font-size: 1.8rem; }
  .cls-p1-header { display: none; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-row-content-desktop { display: none; }
  .cls-row-content-mobile { display: flex;}
  .cls-row1-utility { padding-left: 60px; padding-right: 60px; margin-top: 5px;}
  .cls-row2-utility { margin-top: 0; padding-left: 60px; padding-right: 60px;}
  .cls-card-utility { margin-top: 30px;}
  .cls-title-utility { margin-top: 0; font-size: 1.6rem;}
  .cls-list-utility { margin-top: 15px; font-size: 1rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .cls-title-header { margin-top: 15px; font-size: 1.3rem; }
  .cls-p1-header { font-size: 0.9rem; }
  .cls-p2-header { display: none; }
  .cls-link-header { font-size: 0.9rem; }
  .cls-span-navbar { display: inline;}
  .cls-row-content-desktop { display: none; }
  .cls-row-content-mobile { display: flex;}
  .cls-row1-utility { padding-left: 100px; padding-right: 100px; margin-top: 5px;}
  .cls-row2-utility { margin-top: 0; padding-left: 100px; padding-right: 100px;}
  .cls-card-utility { margin-top: 30px;}
  .cls-title-utility { margin-top: 0; font-size: 2rem;}
  .cls-list-utility { margin-top: 15px; font-size: 1.4rem;}
  .cls-title-footer {font-size: 1rem;}
  .cls-text-footer { font-size: 0.7rem;}
  .cls-ground-internal-footer { font-size: 0.7rem;}
  #leftAdFixed, #rightAdFixed { display: none; }
}

@keyframes flash {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}